Subject: bug#49253: 27.2; Emacs non-responsive when pasting into terminal-mode

From: Eli Zaretskii <[email-masked]>
Date: Mon, 28 Jun 2021 19:57:00 +0300

> From: Matt Bisson <[email-masked]>
> Date: Mon, 28 Jun 2021 10:28:59 -0400
> 
> I have observed this behavior from MacOS, with an Emacs running either
> locally on MacOS, or over SSH (running on Linux).  Without any
> modifications, a -Q invocation causes "xterm--pasted-text: Failed
> select: Invalid argument", but without -Q it simply hangs.  It can
> attach emacsclient sessions, but they do not accept input.

What kind of terminal emulator is actually being used, and does it
support the xterm X selection protocol?